Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.services
Interface ParametricRetrievalFunctionality

public interface ParametricRetrievalFunctionality

Method Summary
`java.util.ArrayList` | `getParametricFieldNames()` Returns the names of all fields of the specified type that are stored in IDOL Server.
`java.util.ArrayList` | `getParametricFieldValues(java.lang.String sFieldName, java.util.Hashtable restrictions, java.util.ArrayList alActionParameters)` Returns the all the possible values for a specified field stored in IDOL Server.
`java.util.ArrayList` | `getQueryParametricFieldValues(java.lang.String sFieldName, java.util.ArrayList alActionParameters)` Returns the values of specified parametric field that appear in the results of a query.

Method Detail

### getParametricFieldNames

    public java.util.ArrayList getParametricFieldNames()
                                                throws AciException,
                                                       IDOLException

  Returns the names of all fields of the specified type that are stored in IDOL Server.

  Returns:
    an `ArrayList` of `String`s giving the available fields.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### getParametricFieldValues

    public java.util.ArrayList getParametricFieldValues(java.lang.String sFieldName,
                                                        java.util.Hashtable restrictions,
                                                        java.util.ArrayList alActionParameters)
                                                 throws AciException,
                                                        IDOLException

  Returns the all the possible values for a specified field stored in IDOL Server.

  Parameters:
    `sFieldName` - the field name to be returned, as defined in the IDOL Server online help for the GetTagValues action. This field must be defined as being of parametric type in the Suir configuration.
    `restrictions` - one for more fields that restrict the list of possible values returned. Can be null.
    `alActionParameters` - an `ArrayList` of `ActionParameters`s giving all other parameters to send with the action. Can be `null`.
  Returns:
    an `ArrayList` of `String`s giving the available field values.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### getQueryParametricFieldValues

    public java.util.ArrayList getQueryParametricFieldValues(java.lang.String sFieldName,
                                                             java.util.ArrayList alActionParameters)
                                                      throws AciException,
                                                             IDOLException

  Returns the values of specified parametric field that appear in the results of a query.

  Parameters:
    `sFieldName` - the field name to be returned, as defined in the IDOL Server online help for the GetQueryTagValues action. This field must be defined as being of parametric type in the IDOL server configuration.
    `alActionParameters` - an `ArrayList` of `ActionParameters`s giving all other parameters to send with the action. Minimum of text or fieldtext parameter required.
  Returns:
    an `ArrayList` of `String`s giving the available field values.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD